com.genesyslab.wfm7.API.service.config750

## Class CfgUserShort

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config750.CfgUserShort

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgUserShort
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `gswEmail`
    `private java.lang.String` | `gswFirstName`
    `private java.lang.String` | `gswLastName`
    `private int` | `gswUserId`
    `private int` | `wmSecurityRoleId`
    `private int` | `wmTimezoneId`
    `private java.lang.String` | `wmUser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgUserShort()`
    `CfgUserShort(int gswUserId, java.lang.String wmUser, int wmTimezoneId, int wmSecurityRoleId, java.lang.String gswFirstName, java.lang.String gswLastName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getGswEmail()` Gets the gswEmail value for this CfgUser.
    `java.lang.String` | `getGswFirstName()` Gets the gswFirstName value for this CfgUserShort.
    `java.lang.String` | `getGswLastName()` Gets the gswLastName value for this CfgUserShort.
    `int` | `getGswUserId()` Gets the gswUserId value for this CfgUserShort.
    `int` | `getWmSecurityRoleId()` Gets the wmSecurityRoleId value for this CfgUserShort.
    `int` | `getWmTimezoneId()` Gets the wmTimezoneId value for this CfgUserShort.
    `java.lang.String` | `getWmUser()` Gets the wmUser value for this CfgUserShort.
    `void` | `setGswEmail(java.lang.String gswEmail)` Sets the gswEmail value for this CfgUser.
    `void` | `setGswFirstName(java.lang.String gswFirstName)` Sets the gswFirstName value for this CfgUserShort.
    `void` | `setGswLastName(java.lang.String gswLastName)` Sets the gswLastName value for this CfgUserShort.
    `void` | `setGswUserId(int gswUserId)` Sets the gswUserId value for this CfgUserShort.
    `void` | `setWmSecurityRoleId(int wmSecurityRoleId)` Sets the wmSecurityRoleId value for this CfgUserShort.
    `void` | `setWmTimezoneId(int wmTimezoneId)` Sets the wmTimezoneId value for this CfgUserShort.
    `void` | `setWmUser(java.lang.String wmUser)` Sets the wmUser value for this CfgUserShort.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gswUserId

          private int gswUserId

    - #### wmUser

          private java.lang.String wmUser

    - #### wmTimezoneId

          private int wmTimezoneId

    - #### wmSecurityRoleId

          private int wmSecurityRoleId

    - #### gswFirstName

          private java.lang.String gswFirstName

    - #### gswLastName

          private java.lang.String gswLastName

    - #### gswEmail

          private java.lang.String gswEmail

  - ### Constructor Detail

    - #### CfgUserShort

          public CfgUserShort()

    - #### CfgUserShort

          public CfgUserShort(int gswUserId,
                      java.lang.String wmUser,
                      int wmTimezoneId,
                      int wmSecurityRoleId,
                      java.lang.String gswFirstName,
                      java.lang.String gswLastName)

  - ### Method Detail

    - #### getGswUserId

          public int getGswUserId()

      Gets the gswUserId value for this CfgUserShort.
      Returns:
        gswUserId

    - #### setGswUserId

          public void setGswUserId(int gswUserId)

      Sets the gswUserId value for this CfgUserShort.
      Parameters:
        `gswUserId` -

    - #### getWmUser

          public java.lang.String getWmUser()

      Gets the wmUser value for this CfgUserShort.
      Returns:
        wmUser

    - #### setWmUser

          public void setWmUser(java.lang.String wmUser)

      Sets the wmUser value for this CfgUserShort.
      Parameters:
        `wmUser` -

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the wmTimezoneId value for this CfgUserShort.
      Returns:
        wmTimezoneId

    - #### setWmTimezoneId

          public void setWmTimezoneId(int wmTimezoneId)

      Sets the wmTimezoneId value for this CfgUserShort.
      Parameters:
        `wmTimezoneId` -

    - #### getWmSecurityRoleId

          public int getWmSecurityRoleId()

      Gets the wmSecurityRoleId value for this CfgUserShort.
      Returns:
        wmSecurityRoleId

    - #### setWmSecurityRoleId

          public void setWmSecurityRoleId(int wmSecurityRoleId)

      Sets the wmSecurityRoleId value for this CfgUserShort.
      Parameters:
        `wmSecurityRoleId` -

    - #### getGswFirstName

          public java.lang.String getGswFirstName()

      Gets the gswFirstName value for this CfgUserShort.
      Returns:
        gswFirstName

    - #### setGswFirstName

          public void setGswFirstName(java.lang.String gswFirstName)

      Sets the gswFirstName value for this CfgUserShort.
      Parameters:
        `gswFirstName` -

    - #### getGswLastName

          public java.lang.String getGswLastName()

      Gets the gswLastName value for this CfgUserShort.
      Returns:
        gswLastName

    - #### setGswLastName

          public void setGswLastName(java.lang.String gswLastName)

      Sets the gswLastName value for this CfgUserShort.
      Parameters:
        `gswLastName` -

    - #### getGswEmail

          public java.lang.String getGswEmail()

      Gets the gswEmail value for this CfgUser.
      Returns:
        gswEmail

    - #### setGswEmail

          public void setGswEmail(java.lang.String gswEmail)

      Sets the gswEmail value for this CfgUser.
      Parameters:
        `gswEmail` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.